# DataExchange
TKIGES
IGESGeom

# IGESGeom_Flash Class Reference

defines IGESFlash, Type <125> Form <0 - 4>
in package IGESGeom
A flash entity is a point in the ZT=0 plane that locates
a particular closed area. That closed area can be defined
in one of two ways. First, it can be an arbitrary closed
area defined by any entity capable of defining a closed
area. The points of this entity must all lie in the ZT=0
plane. Second, it can be a member of a predefined set of
flash shapes.

`#include <IGESGeom_Flash.hxx>`

Inheritance diagram for IGESGeom_Flash:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_Flash ()
Standard_EXPORT void | Init (const gp_XY &aPoint, const Standard_Real aDim, const Standard_Real anotherDim, const Standard_Real aRotation, const Handle(IGESData_IGESEntity)&aReference)
| This method is used to set the fields of the class Flash - aPoint : Reference of flash - aDim : First flash sizing parameter - anotherDim : Second flash sizing parameter - aRotation : Rotation of flash about reference point in radians - aReference : Pointer to the referenced entity or Null .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Nature of the Flash : 0 Unspecified, then given by Reference, 1->4 various Specialisations (Circle,Rectangle, etc...) ) Error if not in range [0-4] .
Standard_EXPORT gp_Pnt2d | ReferencePoint () const
| returns the referenced point, Z = 0 always
Standard_EXPORT gp_Pnt | TransformedReferencePoint () const
| returns the referenced point after applying Transf. Matrix
Standard_EXPORT Standard_Real | Dimension1 () const
| returns first flash sizing parameter
Standard_EXPORT Standard_Real | Dimension2 () const
| returns second flash sizing parameter
Standard_EXPORT Standard_Real | Rotation () const
| returns the angle in radians of the rotation of flash about the reference point
Standard_EXPORT Handle_IGESData_IGESEntity | ReferenceEntity () const
| returns the referenced entity or Null handle.
Standard_EXPORT Standard_Boolean | HasReferenceEntity () const
| returns True if referenced entity is present.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XY | thePoint
Standard_Real | theDim1
Standard_Real | theDim2
Standard_Real | theRotation
Handle_IGESData_IGESEntity | theReference

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Flash::IGESGeom_Flash | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESGeom_Flash::Dimension1 | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGeom_Flash::Dimension2 | ( |  | ) | const

Standard_EXPORT const IGESGeom_Flash::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESGeom_Flash::HasReferenceEntity | ( |  | ) | const

Standard_EXPORT void IGESGeom_Flash::Init | ( | const gp_XY & | aPoint,
|  | const Standard_Real | aDim,
|  | const Standard_Real | anotherDim,
|  | const Standard_Real | aRotation,
|  | const Handle(IGESData_IGESEntity)& | aReference
| ) |

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_Flash::ReferenceEntity | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESGeom_Flash::ReferencePoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGeom_Flash::Rotation | ( |  | ) | const

Standard_EXPORT void IGESGeom_Flash::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT gp_Pnt IGESGeom_Flash::TransformedReferencePoint | ( |  | ) | const

## Field Documentation

Standard_Real IGESGeom_Flash::theDim1 `[private]`

Standard_Real IGESGeom_Flash::theDim2 `[private]`

gp_XY IGESGeom_Flash::thePoint `[private]`

Handle_IGESData_IGESEntity IGESGeom_Flash::theReference `[private]`

Standard_Real IGESGeom_Flash::theRotation `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Flash.hxx